EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

            ebook-convert input_file output_file [options]

Convertir un livre numérique d'un format à un autre.

input_file est l'entrée output_file est la sortie. Chacun des deux doit être spécifié comme premiers arguments de la commande.

Le format de livre numérique de sortie est défini par l'extension du fichier output_file. output_file peut également être un format spécial .EXT où EXT est l'extension du fichier de sortie. Dans ce cas, le nom du fichier de sortie est dérivé du nom du fichier d'entrée. Notez que les noms de fichier ne doivent pas commencer par un trait d'union. Pour finir, si output_file n'a pas d'extension, il est traité comme un dossier et un «open e-book » (OEB) se composant des fichiers HTML est écrit dans ce dossier. Ces fichiers sont les fichiers qui auraient été normalement traité par l'extension de sortie.

Après avoir spécifié le fichier d'entrée et de sortie vous pouvez adapter la conversion en spécifiant diverses options. Les options disponibles dépendent des types de fichier d'entrée et de sortie. Pour obtenir de l'aide sur celles-ci, spécifiez le fichier d'entrée et de sortie et puis employez l'option -h.

Pour la documentation complète du système de conversion voir Conversion de livre numérique <#conversion>

Chaque fois que vous passez à ebook-convert des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

Les options et les valeurs par défaut pour les options changent selon les formats d'entrée et de sortie, aussi vous devriez toujours vérifier avec

            ebook-convert myfile.input_format myfile.output_format -h

Ci-dessous se trouvent les options communes à toutes les conversions, suivies par les options spécifiques à tous les formats d'entrée et de sortie.

    •   OPTIONS D'ENTRÉE

    •   OPTIONS DE SORTIE

    •   ASPECT ET COMPORTEMENT

    •   TRAITEMENT HEURISTIQUE

    •   RECHERCHER ET REMPLACER

    •   DÉTECTION DE LA STRUCTURE

    •   TABLE DES MATIERES

    •   METADONNEES

    •   DÉBOGAGE

    --help, -h
        affiche ce message d'aide et quitte

    --input-profile
        Spécifier le profil d’entrée. Ce profil d’entrée indique au système de conversion comment interpréter les diverses informations dans le document d’entrée. Par exemple, la résolution dépend des longueurs. (c.-à-d. longueurs en pixels). Les choix sont : cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

    --list-recipes
        Liste les noms des recettes intégrées. Vous pouvez créer un livre numérique depuis une recette intégrée de la manière suivante : ebook-convert "Nom Recette.recipe" sortie.epub

    --output-profile
        Spécifiez le profil de sortie. Le profil de sortie explique au système de conversion comment optimiser les documents créés pour un périphérique donné. Dans certains cas, un profil de sortie peut être utilisé pour optimiser la sortie pour un périphérique bien particulier, mais cela est rarement nécessaire. Les choix sont :cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

    --version
        affiche le numéro de version du logiciel et quitte

OPTIONS D'ENTRÉE

Options pour contrôler le traitement du fichier d’entrée mobi

    --input-encoding
        Spécifier l’encodage des caractères du document d’entrée. Si réglée cette option outrepassera tout encodage déjà déclaré par le document lui-même. Particulièrement utile pour des documents ne déclarant pas d’encodage ou ayant des déclarations d’encodage incorrectes.

OPTIONS DE SORTIE

Options pour contrôler le traitement de la sortie epub

    --dont-split-on-page-breaks
        Désactiver le sectionnement aux sauts de page. En temps normal, le fichier d’entrée est sectionné à chaque saut de page pour former deux fichiers; vous bénéficiez ainsi d'un livre numérique susceptible d’être analysé plus rapidement et avec moins de ressources. Toutefois, sectionner les fichiers est un processus lent, donc il est recommandé de désactiver le sectionnement si le fichier d’entrée contient de nombreux sauts de page.

    --epub-flatten
        Cette option est nécessaire si vous avez l’intention d’utiliser l’EPUB avec FBReaderJ. Elle va aplatir la structure du système de fichiers à l’intérieur de l’EPUB, mettant tous les fichiers sur le niveau supérieur.

    --epub-inline-toc
        Insérer une Table des Matières intégrée qui apparaîtra en tant qu'élément du contenu principal du livre.

    --epub-max-image-size
        Taille maximale de l'image (largeur x hauteur). Une valeur de profile signifie que sera utilisé la taille d'écran du profil de sortie. Une valeur de none signifie qu'aucune taille maximale n'est spécifiée. Par exemple, une valeur de 100x200 entraînera le redimensionnement de toutes les images de manière à ce que leur largeur ne dépasse pas 100 pixels et leur hauteur 200 pixels. Notez que cela n'affecte que la taille des fichiers d'image eux-mêmes. Une image donnée peut être rendue à une taille différente en fonction du style qui lui est appliqué dans le document.

    --epub-toc-at-end
        Mettre la Table des Matières intégrée à la fin du livre plutôt qu'au début.

    --epub-version
        La version du fichier EPUB à générer. EPUB 2 est le plus largement compatible, n'utilisez EPUB 3 que si vous savez que vous en avez réellement besoin.

    --extract-to
        Extrait le contenu du livre {} généré vers le dossier spécifié. Le contenu du dossier sera d’abord effacé, donc faites attention.

    --flow-size
        Diviser tous les fichiers HTML plus grand que cette taille (en Ko). Ceci est nécessaire car la plupart des lecteurs EPUB ne prennent pas en charge des fichiers de grande taille. Par défaut 260 Ko est la taille requise par Adobe Digital Editions. Paramétrer à 0 pour désactiver la division basée sur la taille.

    --no-default-epub-cover
        Normalement, si le fichier d’entrée n’a pas de couverture et que vous n’en avez pas spécifié une, une couverture par défaut est générée avec le titre, les auteurs, etc. Cette option désactive la génération de cette couverture.

    --no-svg-cover
        Ne pas utiliser le format SVG pour la couverture du livre. Utiliser cette option si votre EPUB va être utilisé sur un périphérique qui ne prend pas en charge SVG, comme l’iPhone ou le JetBook Lite. Sans cette option, ce type périphérique affichera une page blanche comme couverture.

    --preserve-cover-aspect-ratio
        Lors de l’utilisation d’une image SVG en couverture, cette option va entraîner une mise à l’échelle permettant de couvrir tout l’écran, mais va toujours garder les proportions (ratio hauteur/largeur) de l’image d’origine. Ceci signifie qu’il peut y avoir des bordures blanches sur les cotés, en haut ou en bas de l’image, mais que celle-ci ne sera jamais distordue. Sans cette option l’image peut être légèrement distordue, mais il n’y aura pas de bordures.

    --pretty-print
        Si spécifié, l’extension de sortie essaiera de créer une sortie qui sera aussi lisible que possible pour un être humain. Peut être sans effet avec certaines extensions de sortie.

    --toc-title
        Titre pour toutes les Tables des Matières intégrées générées.

ASPECT ET COMPORTEMENT

Options pour contrôler l’apparence de la sortie

    --asciiize
        Translittère les caractères Unicode en une représentation ASCII. A utiliser avec précaution car cela remplacera les caractères Unicode par des caractères ASCII. Par exemple, elle remplacera "Pelé" par "Pele". Notez également que dans les cas où il existe plusieurs représentations d'un caractère (caractères partagés par le chinois et le japonais par exemple), la représentation basée sur la langue de l'interface actuelle de calibre sera utilisée.

    --base-font-size
        La taille de base pour la police de caractère en pts. Toutes les tailles de police dans le livre produit seront redimensionnées par rapport à cette taille. En choisissant une taille large, vous pouvez obtenir des polices plus grandes en sortie et vice versa. Par défaut, quand la valeur est zéro, la taille de base pour la police est choisie par rapport au profil de sortie que vous avez choisi.

    --change-justification
        Changer la justification du texte. Une valeur à "left" convertit tout le texte justifié dans la source vers un alignement de texte à gauche (c.à.d non justifié). Une valeur à "justify" convertit le texte non justifié en justifié. Une valeur à "original" (par défaut) ne change pas la justification du fichier source. Notez que seuls certains formats prennent en charge la justification.

    --disable-font-rescaling
        Désactiver tous les redimensionnements des tailles de polices.

    --embed-all-fonts
        Incorporer toutes les polices qui sont référencées dans le document mais pas encore intégrées. Une recherche sera effectuée sur votre ordinateur et si les polices sont retrouvées, elles seront intégrées dans le document. L'intégration fonctionnera uniquement si le format vers lequel vous convertissez supporte les polices intégrées, telles que EPUB, AZW3, DOCX et PDF. Veuillez vous assurer que vous possédez la licence appropriée pour incorporer les polices utilisées dans ce document.

    --embed-font-family
        Inclut la famille de polices spécifiée dans le livre. Ceci précise la police de "base" utilisée pour le livre. Si le document d'entrée spécifie ses propres polices, elles peuvent primer sur la police de "base". Vous pouvez utilisez l'option de filtre de style pour enlever les polices du document d'entrée. Notez que l'inclusion de polices fonctionne seulement avec certains formats de sortie, principalement l'EPUB,AZW3 et DOCX.

    --expand-css
        Par défaut, calibre va utiliser la forme abrégée des diverses propriétés CSS comme les marges, les bordures, etc. Cette option permet d'utiliser la forme étendue à la place. Notez que le CSS sera toujours sous sa forme étendue lors de la génération de fichiers EPUB avec le profil de sortie définit pour Nook car le Nook ne sait pas gérer la forme abrégée du CSS.

    --extra-css
        Soit le chemin d’une feuille de style CSS ou un CSS brut. Ce CSS sera ajouté aux règles de style du fichier source, ainsi il pourra être utilisé pour outrepasser ces règles.

    --filter-css
        Une liste de propriétés CSS, séparées par des virgules, qui seront supprimées de toutes les règles de style CSS. Ceci est utile si la présence de certaines informations de style les empêche d’être ignorées par votre périphérique. Par exemple: font-family,color,margin-left,margin-right

    --font-size-mapping
        Correspondance à partir de noms de police CSS vers des tailles de polices en pts. Un exemple de paramétrage est : 12,12,14,16,18,20,22,24. Ce sont les correspondances pour les tailles de xx-small à xx-large, la taille finale est utilisée pour les très grandes polices. Le redimensionnement de la police utilise ces tailles pour redimensionner intelligemment les polices. Le comportement par défaut est d’utiliser une correspondance basée sur le profil de sortie que vous avez choisi.

    --insert-blank-line
        Insérer une ligne blanche entre les paragraphes. Ne fonctionnera pas si le fichier source n’utilise pas de paragraphes. (balises <p> ou <div>)

    --insert-blank-line-size
        Définir la hauteur des lignes blanches insérées (en em). La hauteur des lignes entre deux paragraphes sera de deux fois la valeur spécifiée ici.

    --keep-ligatures
        Conserver les ligatures présentes dans le document d’entrée. Une ligature est une paire de caractères comme ff, fi, fl, œ, æ et cætera. La plupart des polices par défaut des lecteurs ne prennent pas en charge les ligatures, aussi un rendu correct de celles-ci semble improbable sur le lecteur. Par défaut, calibre va transformer une ligature en la paire de caractères correspondants. Notez que les ligatures ici ne sont que des ligatures unicode et non des ligatures créées par CSS ou des styles de police. A l’opposé, cette option va conserver la ligature.

    --line-height
        La hauteur de ligne en pts. Contrôle l’espacement entre les lignes consécutives du texte. Ne s’applique qu’aux éléments qui ne définissent pas leur propre hauteur de ligne. Dans la plupart des cas, l’option hauteur de ligne minimum est plus utile. Par défaut, aucune modification de hauteur de ligne n’est effectuée.

    --linearize-tables
        Certains documents mal conçus utilisent les tableaux pour contrôler l’affichage du texte dans la page. Quand ils sont convertis, ces documents ont souvent le texte qui déborde de la page et d’autres dysfonctionnements. Cette option extraira le contenu des tableaux et le présentera dans un mode linéaire.

    --margin-bottom
        Régler la marge du bas en pts. Le réglage par défaut est 5.0. Aucune marge ne sera définie si le nombre est inférieur à zéro (le réglage des marges dans le document d'origine est préservé). Notez : les formats de page orientés tels que PDF et DOCX ont leurs propres paramétrages de marges qui ont la priorité.

    --margin-left
        Régler la marge gauche en pts. Le réglage par défaut est 5.0. Aucune marge ne sera définie si le nombre est inférieur à zéro (le réglage des marges dans le document d'origine est préservé). Notez : les formats de page orientés tels que PDF et DOCX ont leurs propres paramétrages de marge qui ont la priorité.

    --margin-right
        Régler la marge droite en pts. Le réglage par défaut est 5.0. Aucune marge ne sera définie si le nombre est inférieur à zéro (le réglage des marges dans le document d'origine est préservé). Notez : les formats de page orientés tels que PDF et DOCX ont leurs propres paramétrages de marge qui ont la priorité.

    --margin-top
        Régler la marge haute en pts. Le réglage par défaut est 5.0. Aucune marge ne sera définie si le nombre est inférieur à zéro (le réglage des marges dans le document d'origine est préservé). Notez : les formats de page orientés tels que PDF et DOCX ont leurs propres paramétrages de marge qui ont la priorité.

    --minimum-line-height
        La hauteur de ligne minimum, en pourcentage de la taille de la police de l’élément calculé. calibre s’assurera que chaque élément a une hauteur de ligne correspondant au moins à ce réglage, quelle que soit la spécification du document d’entrée. Fixer à 0 pour désactiver. Par défaut 120%. Utiliser cette option préférentiellement à une spécification de ligne directe, à moins de savoir ce que vous faites. Par exemple, vous pouvez obtenir un texte en "double interligne" en fixant cette valeur à 240%.

    --remove-paragraph-spacing
        Supprimer l’interligne entre les paragraphes. Paramètre aussi une indentation sur les paragraphes de 1.5em. La suppression de l’interligne ne fonctionnera pas si le fichier source n’utilise pas les paragraphes (balises <p> ou <div>).

    --remove-paragraph-spacing-indent-size
        Lorsque calibre supprime les lignes blanches entre les paragraphes, il ajoute automatiquement une indentation de paragraphe, afin de s’assurer que les paragraphes puissent être facilement distingués. Cette option contrôle la largeur de cette indentation (en em). Si vous fixez une valeur négative, alors l’indentation spécifiée dans le document d’entrée est utilisée, c’est à dire que calibre ne modifie pas l’indentation.

    --smarten-punctuation
        Convertit les guillemets, les tirets et les points de suspension en leurs équivalents typographiques corrects. Pour plus de détails, voir : <https://daringfireball.net/projects/smartypants>.

    --subset-embedded-fonts
        Créer un sous-ensemble de toutes les polices intégrées. Chaque police intégrée est réduite pour ne contenir que les caractères utilisés dans le document. Cela réduit la taille des fichiers associés aux polices. Utile si vous souhaitez intégrer des polices particulièrement grandes dont peu de glyphes sont utilisés.

    --transform-css-rules
        Chemin vers un fichier contenant les règles pour transformer les styles CSS dans ce livre. La manière la plus facile de créer un tel fichier est d'utiliser l'assistant pour la création de règles dans l'interface graphique utilisateur de calibre. Accédez-y dans la section de la boite de dialogue conversion sous "Apparence->Transformer les styles". Une fois fois que vous avez créé les règles, vous pouvez utiliser le bouton Exporter pour les sauvegarder en un fichier.

    --transform-html-rules
        Chemin vers un fichier contenant les règles pour transformer du HTML dans ce livre. La manière la plus facile de créer un tel fichier est d'utiliser l'assistant pour la création de règles dans l'interface graphique utilisateur de calibre. Accédez-y dans la section de la boite de dialogue conversion sous "Apparence->Transformer du HTML". Une fois fois que vous avez créé les règles, vous pouvez utiliser le bouton "Exporter" pour les sauvegarder en un fichier.

    --unsmarten-punctuation
        Convertir les guillemets fantaisie, les tirets et les points de suspension en leurs équivalents en texte brut.

TRAITEMENT HEURISTIQUE

Modifier le texte et la structure du document selon le modèle courant. Désactivé par défaut. Utiliser --enable-heuristics pour l’activer. Les actions individuelles peuvent être désactivées avec les options --disable-
*
.

    --disable-dehyphenate
        Analyser les mots contenant des traits d'union dans le document. Le document lui-même est utilisé comme dictionnaire pour déterminer si les traits d'union doivent être conservés ou retirés.

    --disable-delete-blank-paragraphs
        Supprimer les paragraphes vides du document quand ils se trouvent entre d'autres paragraphes

    --disable-fix-indents
        Transformer les retraits de ligne créées par de multiples espaces insécables en retraits CSS.

    --disable-format-scene-breaks
        Les marqueurs de rupture de scène alignés à gauche sont alignés au centre. Les ruptures de scène qui utilisent des lignes blanches multiples sont remplacées par des traits horizontaux.

    --disable-italicize-common-cases
        Rechercher les mots et les motifs usuels qui dénotent la présence de mots en italiques et les mettre en italique.

    --disable-markup-chapter-headings
        Détecter les titre de chapitre et les sous-titres sans mise en forme et les transforme en balises h2 et h3. Ce réglage ne va pas créer de Table des Matières, mais peut être utilisé dans la partie Détection de structure afin d'en créer une.

    --disable-renumber-headings
        Recherche les occurrences de séquences de balises <h1> ou <h2>. Les balises sont renumérotées afin de d'éviter que les titres de chapitres ne soient coupés en deux.

    --disable-unwrap-lines
        Redéfinir la longueur des lignes en se basant sur la ponctuation et autres indices de formatage.

    --enable-heuristics
        Activer le traitement heuristique. Cette option doit être activée pour que tout traitement heuristique puisse être effectué.

    --html-unwrap-factor
        Échelle utilisée pour déterminer la longueur à partir de laquelle une ligne doit être redéfinie. Les valeurs acceptables sont les décimaux compris entre 0 et 1. La valeur pas défaut est de 0.4, juste en dessous de la valeur médiane des longueurs de ligne dans le document. Si seules quelques lignes dans le document nécessitent d’être redéfinies, cette valeur devrait être réduite.

    --replace-scene-breaks
        Remplacer les ruptures de scène par le texte spécifié. Par défaut, le texte du document initial est utilisé.

RECHERCHER ET REMPLACER

Modifier le texte et la structure du document en utilisant des modèles définis par l’utilisateur.

    --search-replace
        Chemin vers un fichier contenant les expressions régulières de recherche et remplacement. Le fichier doit contenir en alternances des lignes d'expressions régulières suivies par des modèles de remplacement (qui peuvent être une ligne vide). L'expression régulière doit être écrite dans la syntaxe des regexp Python et le fichier doit être encodé en UTF-8.

    --sr1-replace
        Le remplacement pour remplacer le texte trouvé avec sr1-search.

    --sr1-search
        Motif de recherche (expression régulière) qui sera remplacé par sr1-replace.

    --sr2-replace
        Le remplacement pour remplacer le texte a trouvé avec sr2-search.

    --sr2-search
        Modèle de recherche (expression régulière) qui sera remplacé par sr2-replace.

    --sr3-replace
        Le remplacement pour remplacer le texte a trouvé avec sr3-search.

    --sr3-search
        Modèle de recherche (expression régulière) qui sera remplacée par sr3-replace.

DÉTECTION DE LA STRUCTURE

Contrôle de l’auto-détection de la structure du document.

    --add-alt-text-to-img
        Lorsqu'une balise <img> n'a pas d'attribut alt, vérifiez si le fichier image associé contient des métadonnées spécifiant un texte alternatif et utilisez-les pour remplir l'attribut alt. L'attribut alt améliore l'accessibilité en fournissant des descriptions textuelles aux utilisateurs qui ne peuvent pas voir ou interpréter complétement le contenu visuel.

    --chapter
        Une expression XPath pour détecter les titres de chapitres. Par défaut, les étiquettes <h1> ou <h2> qui contiennent les mots "chapter", "book", "section", "prologue", "epilogue", ou "part" ainsi que les étiquettes qui contiennent class="chapter". L’expression utilisée doit être évaluée comme une liste d’éléments. Pour désactiver la détection de chapitre, utiliser l’expression "/". Regarder le tutoriel XPath dans le Manuel Utilisateur de calibre pour plus d’aide sur l’utilisation de cette fonction.

    --chapter-mark
        Spécifier comment indiquer les chapitres détectés. Une valeur "pagebreak" insérera un saut de page avant chaque chapitre. Une valeur "rule" insérera un filet avant chaque chapitre. Une valeur "none" désactivera le marquage des chapitres et une valeur "both" utilisera à la fois un saut de page et un filet.

    --disable-remove-fake-margins
        Certains documents spécifient les marges de la page en précisant une marge gauche et droite sur chaque paragraphe individuel. calibre tentera de détecter et de supprimer ces marges. Cela peut éventuellement provoquer la suppression de certaines marges qui ne devaient pas être retirées. Dans ce cas, vous pouvez désactiver la suppression de ces marges.

    --insert-metadata
        Insérer les métadonnées au début du livre. Utile si votre lecteur de livre numérique ne prend pas en charge directement l’affichage/recherche des métadonnées.

    --page-breaks-before
        Une expression XPath. Des sauts de page sont insérés avant les éléments spécifiés. Pour désactiver utiliser l'expression : /

    --prefer-metadata-cover
        Utiliser la couverture détectée dans le fichier source de préférence à la couverture spécifiée.

    --remove-first-image
        Supprimer la première image du livre numérique en entrée. Utile si le document à transformer a une image de couverture qui n’est pas identifiée comme une couverture. Dans ce cas, si vous avez une image de couverture dans calibre, le document de sortie aura deux images de couverture si vous n’utilisez pas cette option.

    --start-reading-at
        Expression XPath pour détecter l'emplacement du début de la lecture dans le document. Certains programmes de lecture de livre numérique (dont le plus connu est le Kindle) utilisent cette position comme emplacement d'ouverture du livre. Voir le Tutoriel XPath dans le Manuel d’utilisation de calibre pour une aide supplémentaire concernant cette fonctionnalité.

TABLE DES MATIERES

Contrôle la génération automatique de la Table des Matières. Par défaut, si le fichier source a une Table des Matières, elle sera utilisée de préférence par rapport à celle qui est générée automatiquement.

    --duplicate-links-in-toc
        Lors de la création d’une Table des Matières à partir de liens dans le document d’entrée, autorise des entrées dupliquées, à savoir autorise plus d’une entrée avec le même texte, du moment qu’elles pointent vers des emplacements différents.

    --level1-toc
        Expression XPath indiquant toutes les étiquettes qui doivent être ajoutées au premier niveau de la Table des Matières. Si elle est spécifiée, elle sera prioritaire par rapport aux autres formes d’auto-détection. Voir le Tutoriel XPath dans le Manuel Utilisateur calibre pour des exemples.

    --level2-toc
        Expression XPath indiquant que toutes les étiquettes doivent être ajoutées au deuxième niveau de la table des matières. Chaque entrée est ajoutée en dessous de la précédente entrée de premier niveau. Voir le Tutoriel XPath dans le Manuel Utilisateur calibre pour des exemples.

    --level3-toc
        Expression XPath indiquant que toutes les étiquettes doivent être ajoutées au troisième niveau de la table des matières. Chaque entrée est ajoutée en dessous de la précédente entrée de second niveau. Voir le Tutoriel XPath dans le Manuel Utilisateur calibre pour des exemples.

    --max-toc-links
        Nombre maximum de liens à insérer dans la table des matières. Régler à 0 pour désactiver. Par défaut : 50. Les liens sont ajoutés à la Table des Matières seulement si le seuil du nombre de chapitres détectés n’a pas été atteint.

    --no-chapters-in-toc
        Ne pas ajouter à la Table des Matières les chapitres détectés automatiquement.

    --toc-filter
        Supprimer les entrées de la Table des Matières qui correspondent à l’expression régulière spécifiée. Les entrées correspondantes ainsi que leurs sous-entrées seront supprimées.

    --toc-threshold
        Lorsque le nombre de chapitres détectés est inférieur à ce chiffre, les liens sont ajoutés à la Table des Matières. Par défaut : 6

    --use-auto-toc
        Normalement, si le fichier source a déjà une Table des Matières, elle est utilisée de préférence à celle auto-générée. Avec cette option, l’auto-générée est toujours utilisée.

METADONNEES

Options pour indiquer les métadonnées en sortie

    --author-sort
        Chaîne à utiliser lors du tri par auteur.

    --authors
        Indiquer les auteurs. Les auteurs multiples doivent être séparés par des & (esperluètes).

    --book-producer
        Déterminer le producteur du livre.

    --comments
        Indiquer la description du livre numérique.

    --cover
        Déterminer la couverture à partir du fichier spécifié ou de l’URL

    --isbn
        Déterminer l’ISBN du livre.

    --language
        Déterminer la langue.

    --pubdate
        Défini la date de publication (supposée être dans le fuseau horaire local, sinon le fuseau horaire est explicitement spécifié)

    --publisher
        Indiquer l’éditeur du livre numérique.

    --rating
        Déterminer la note. Devrait être un nombre entre 1 et 5.

    --read-metadata-from-opf, --from-opf, -m
        Lire les métadonnées du fichier OPF spécifié. Les métadonnées lues à partir de ce fichier écraseront les métadonnées dans le fichier source.

    --series
        Indiquer la série à laquelle appartient ce livre numérique.

    --series-index
        Déterminer l’index de ce livre numérique dans cette série.

    --tags
        Déterminer les étiquettes du livre. Doit être une liste séparée par des virgules.

    --timestamp
        Définir l’horodatage (plus utilisé nulle part)

    --title
        Indiquer le titre.

    --title-sort
        La version du titre à utiliser pour le tri.

DÉBOGAGE

Options pour aider au débogage de la conversion

    --debug-pipeline, -d
        Enregistre le résultat des différents cycles du processus de conversion dans le dossier spécifié. Utile si vous ne savez pas à quel moment du cycle de conversion le bug est généré.

    --verbose, -v
        Niveau de verbosité. Spécifier des périodes multiples pour une plus grande verbosité. La spécification par deux fois aura comme conséquence la pleine verbosité, la verbosité par une fois la moyenne et les périodes zéro moins de verbosité.

Author
Kovid Goyal

Copyright
Kovid Goyal